Sales Rfq Favorite

The sales rfq favorite resource.

Basehttps://rest.carbon.ms/salesRfqFavorite
GET/salesRfqFavorite

List sales rfq favorites

Retrieve a paginated list of sales rfq favorites. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/salesRfqFavorite
curl --request GET \
  --url 'https://rest.carbon.ms/salesRfqFavorite?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "rfqId": "xyz789",
    "userId": "xyz789"
  }
]
GET/salesRfqFavorite

Retrieve a sales rfq favorite

Fetch a single sales rfq favorite by filtering on `rfqId`.

Query parameters

rfqIdstring

Match on the sales rfq favorite's `rfqId`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/salesRfqFavorite
curl --request GET \
  --url 'https://rest.carbon.ms/salesRfqFavorite?rfqId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "rfqId": "xyz789",
  "userId": "xyz789"
}
POST/salesRfqFavorite

Create a sales rfq favorite

Create a new sales rfq favorite.

POSThttps://rest.carbon.ms/salesRfqFavorite
curl --request POST \
  --url https://rest.carbon.ms/salesRfqFavorite \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"rfqId":"xyz789"}'
Response
{
  "rfqId": "xyz789",
  "userId": "xyz789"
}
PATCH/salesRfqFavorite

Update a sales rfq favorite

Update an existing sales rfq favorite, matched on `rfqId`.

PATCHhttps://rest.carbon.ms/salesRfqFavorite
curl --request PATCH \
  --url 'https://rest.carbon.ms/salesRfqFavorite?rfqId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "rfqId": "xyz789",
  "userId": "xyz789"
}
DELETE/salesRfqFavorite

Delete a sales rfq favorite

Delete a sales rfq favorite, matched on `rfqId`. Returns 204 No Content.

Query parameters

rfqIdstring

The `rfqId` of the sales rfq favorite to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/salesRfqFavorite
curl --request DELETE \
  --url 'https://rest.carbon.ms/salesRfqFavorite?rfqId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content